Feature #87618

Upgrade Wizard: Tag upgrade wizards as mandatory / recommended / not recommended / legacy

Added by Sybille Peters 3 months ago.

Status:
New
Priority:
Should have
Assignee:
-
Category:
Install Tool
Target version:
-
Start date:
2019-02-01
Due date:
% Done:

0%

PHP Version:
Tags:
Complexity:
Sprint Focus:

Description

Upgrade Wizard window shows a number of upgrade wizards, some of which are necessary for operating the new TYPO3 version and some of which are in fact optional or "legacy" functionality, like

  • compatibility7
  • form_legacy
  • rthehtmlarea
  • typo3db_legacy

While the category (mandatory, recommended, legacy, etc.) is already obvious (partly from the name) and the description, it would be more user friendly to show the legacy / not recommended / not mandatory update wizards in a different color or section and / or change the order to display them at the bottom.

Additionally, when running upgrade wizards from command line, it would be helpful to be able to run all mandatory / recommended upgrade wizards (if such a categorization exists):

Currently, you can only run all or specific ones.

upgrade_wizards.png View (78.2 KB) Sybille Peters, 2019-02-01 12:26

Also available in: Atom PDF